Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Delete an API key

A key held to one domain deletes only keys held to that same domain; any other key is not found.

DELETE/api-keys/{id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
idstring<uuid>erforderlich
Antworten
200

API key revoked

objectstringerforderlich
Erlaubt:api_key
idstring<uuid>erforderlich
deletedbooleanerforderlich
Erlaubt:true
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X DELETE 'https://api.billionsend.com/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "object": "api_key",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

War diese Seite hilfreich?